## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Shall we re-generate the code using jschema-to-python? The Fedora guidelines
# suggest but do not require that we do so.
%bcond_without regenerate

Name:           python-sarif-om
Summary:        Classes implementing the SARIF 2.1.0 object model
Version:        1.0.4
Release:        %autorelease

# SPDX
License:        MIT
URL:            https://github.com/microsoft/sarif-python-om
Source0:        %{pypi_source sarif_om}

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{with regenerate}
BuildRequires:  python3dist(jschema-to-python)
%endif
BuildRequires:  dos2unix

%global common_description %{expand:
This module contains classes for the object model defined by the Static
Analysis Results Interchange Format (SARIF) Version 2.1.0 file format, an OASIS
Committee Specification.

To learn more about SARIF and find resources for working with it, you can visit
the SARIF Home Page (https://sarifweb.azurewebsites.net/).}

%description %{common_description}


%package -n     python3-sarif-om
Summary:        %{summary}

%description -n python3-sarif-om %{common_description}


%prep
%autosetup -n sarif_om-%{version}
%if %{with regenerate}
rm -rf sarif_om
%endif
# Fix CRNL line termination
find . -type f -exec dos2unix '{}' '+'


%generate_buildrequires
%pyproject_buildrequires


%build
%if %{with regenerate}
# See the “Generation” section in README.rst.
%{python3} -m jschema_to_python \
    --schema-path sarif-2.1.0-rtm.4.json \
    --module-name sarif_om \
    --output-directory sarif_om \
    --root-class-name SarifLog \
    --hints-file-path code-gen-hints.json \
    --force \
    -vv
%endif
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sarif_om


%check
# Upstream does not provide any tests
%pyproject_check_import


%files -n python3-sarif-om -f %{pyproject_files}
# pyproject-rpm-macros handles LICENSE; verify with “rpm -qL -p …”
%doc CODE_OF_CONDUCT.md
%doc README.rst
%doc SECURITY.md


%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.4-6
- Confirm License is SPDX MIT

* Sun Nov 27 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.4-5
- Drop default argument -r from pyproject_buildrequires

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.4-3
- Rebuilt for Python 3.11 (close RHBZ#2099099)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Dec 16 2021 Benjamin A. Beasley <code@musicinmybrain.net> 1.0.4-1
- Initial commit (close RHBZ#2032992)
